Package org.apache.sling.discovery.base.connectors.ping.wl

# Class WildcardWhitelistEntry

java.lang.Object
org.apache.sling.discovery.base.connectors.ping.wl.WildcardWhitelistEntry

All Implemented Interfaces:
  `WhitelistEntry`

public class WildcardWhitelistEntry extends Object implements WhitelistEntry
Implementation of a WhitelistEntry which can accept wildcards (* and ?) in both IP and hostname

## Constructor Summary

Constructors
Constructor
Description
`WildcardWhitelistEntry(String hostOrAddressWithWildcard)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`accepts(javax.servlet.ServletRequest request)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WildcardWhitelistEntry

public WildcardWhitelistEntry(String hostOrAddressWithWildcard)

## Method Details

### accepts

public boolean accepts(javax.servlet.ServletRequest request)

Specified by:
  `accepts` in interface `WhitelistEntry`
Parameters:
  `request` - the incoming request which should be accepted or rejected
Returns:
  true if the request is accepted by this WhitelistEntry